#!/bin/bash

REQUIRED="$BASH_SOURCE"

# @usage info <message>
function info() {
    local message=$1

    echo
    echo "$message"
    echo    
}

# @usage info_d <message>
function info_d() {
    local message=$1

    info "$message"
    sleep 2
}

function pg_version() {
    local pg_version=$(psql -V | egrep -o '[0-9]{1,}\.[0-9]{1,}')
    local pg_version_major=${pg_version%%.*}
    [ $pg_version_major -ge 11 ] && echo "$pg_version_major" || echo "$pg_version"
}

function validate_user() {
    [ "$UID" -eq 0 ] || { echo "This script must be run as root."; exit 1; }
}

declare -x -f info
declare -x -f info_d
declare -x -f pg_version
