<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
<html>
<head>
	<title>КОНТРОЛЬНЫЙ ПРИМЕР ДАННЫХ</title>
	<META http-equiv="Content-Type" content="text/html; charset=utf8"/>
	<link rel="stylesheet" type="text/css" href="style.css"/>
	<script type="text/javascript" src="script.js"/>
</head>
<body>
	<xsl:apply-templates select="shema"/>
	<xsl:apply-templates select="result"/>
	<xsl:apply-templates select="database"/>
</body>
</html>
</xsl:template>


<!-- Начальное изображение -->
<xsl:template match="shema">
<div id="pageheader" class="pageheader">
	<xsl:call-template name="menu"/>
</div>
<div id="blank"></div>
<div id="pagebody">
	<img src="{@src}"/>
</div>
</xsl:template>


<!-- Результаты запроса -->
<xsl:template match="result">
<div id="pageheader" class="pageheader">
	<xsl:call-template name="menu"/>
	<xsl:apply-templates select="user"/>
	<h1>РЕЗУЛЬТАТЫ&#160;ЗАПРОСА</h1>
	<table>
	<xsl:call-template name="tableheader"/>
	</table>
</div>
<div id="blank"></div>
<div id="pagebody">
	<table>
	<xsl:call-template name="tableheader"/>
	<xsl:apply-templates select="rabota">
		<xsl:sort select="@cat" order="ascending"/>
		<xsl:sort select="@shifr" order="ascending"/>
	</xsl:apply-templates>
	</table>
	<xsl:apply-templates select="error"/>
</div>
</xsl:template>


<!-- Меню -->
<xsl:template name="menu">
	<table class="menu"><tr><td class="menu left">
		<a class="menu" href="index.php" target="_self">Список работ</a>
	</td><td class="menu center">
		<a class="menu" href="index.php?query=2" target="_self">Контрольные проверки</a>
	</td><td class="menu center">
		<a class="menu" href="bd.php" target="_self">Состав базы данных</a>
	</td><td class="menu right">
		<a class="menu" href="index.xml">Схема контрольного примера</a>
	</td></tr></table>
</xsl:template>


<!-- Данные об авторизованном пользователе -->
<xsl:template match="user">
		<h1>
		<span class="normal">&#160;&#160;&#160;Пользователь:&#160;</span>
		<span class="bold bg1">&#160;<xsl:value-of select="@login"/>&#160;</span> 
		<span class="normal">&#160;&#160;&#160;Уровень:&#160;</span>
		<span class="lvl{@lvl}">&#160;<xsl:value-of select="@level"/>&#160;</span>
		<span class="normal">&#160;&#160;&#160;Категория:&#160;</span>
		<span class="bold bg1">&#160;</span>
		<xsl:for-each select="category">
		<span class="bold bg1 cat{@cat}"><xsl:value-of select="@name"/>&#160;</span>
		</xsl:for-each>
		</h1>
</xsl:template>


<!-- Заголовок таблицы -->
<xsl:template name="tableheader">
	<tr>
		<th>№ п/п</th>
		<th>Степень секретности</th>
		<th>Вид, шифр,
		<br/>наименование работы</th>
		<th>Государственный заказчик</th>
		<th>Головной исполнитель</th>
		<th>Сроки</th>
		<th>Стоимость<br/>тыс.руб.</th>
		<xsl:if test="rabota/@datekp != ''">
			<th class="cat-8">Дата<br/>контрольной<br/>проверки</th>
		</xsl:if>
	</tr>
</xsl:template>


<!-- Список работ -->
<xsl:template match="rabota">
<tr class="cat{@cat} bg{position() mod 2}">
	<td class="center"><xsl:value-of select="position()"/></td>
	<td class="lvl{@lvl} bold center"><xsl:value-of select="@level"/></td>
	<td><span class="bold"><xsl:value-of select="@vid"/> "<xsl:value-of select="@shifr"/>"</span>
	<br/><xsl:value-of select="@name"/></td>
	<td class="center"><xsl:value-of select="@zak"/></td>
	<td>
		<xsl:value-of select="@naim"/>
<!--		<br/><xsl:value-of select="ispolnilel/inn"/-->
		<br/><span class="italic"><xsl:value-of select="@disl"/></span>
	</td>
	<td class="center"><xsl:value-of select="@beg"/>&#160;-&#160;<xsl:value-of select="@end"/></td>
	<td class="right"><xsl:value-of select="@cena"/></td>
	<xsl:if test="@datekp != ''">
		<td class="center cat8"><xsl:value-of select="@datekp"/></td>
	</xsl:if>


</tr>
</xsl:template>


<!-- Состав базы данных -->
<xsl:template match="database">
<div id="pageheader" class="pageheader">
	<xsl:call-template name="menu"/>
	<xsl:apply-templates select="user"/>
	<h1>СОСТАВ&#160;БАЗЫ&#160;ДАННЫХ</h1>
</div>
<div id="blank"></div>
<div id="pagebody">
	<xsl:apply-templates select="table">
		<xsl:sort select="@relname" order="ascending"/>
	</xsl:apply-templates>
	<xsl:apply-templates select="error"/>
</div>
</xsl:template>


<!-- Таблицы -->
<xsl:template match="table">
<div class="table">
	<table>
	<tr><td class="right italic">Таблица:</td><td class="bold center"><xsl:value-of select="@relname"/></td></tr>
	<tr><td class="lvl0 right italic">Уровень:</td><td class="bold lvl{@lvl} center"><xsl:value-of select="@level"/></td></tr>
	<tr><td class="lvl0 right italic">Категория:</td><td class="bg1 bold center">
		<xsl:for-each select="category">
		<span class="cat{@cat}"><xsl:value-of select="@name"/>&#160;</span>
		</xsl:for-each>
	</td></tr>
	<tr><td class="lvl0 right italic">CCR:</td>
		<td class="bold lvl0 center">
		<xsl:if test="@relmacccr = 't'">ЕСТЬ</xsl:if>
		<xsl:if test="@relmacccr != 't'">НЕТ</xsl:if>
		</td>
	</tr>
	<tr><td class="f0" colspan="2">&#160;</td></tr>
	<xsl:apply-templates select="field"/>
	</table>
</div>
</xsl:template>


<!-- Поля -->
<xsl:template match="field">
	<tr><td class="{@attname} lvl0 center" colspan="2"><xsl:value-of select="@attname"/></td></tr>
</xsl:template>


<!-- Сообщение об ошибке -->
<xsl:template match="error">
	<br/>
	<h1>ОШИБКА ВЫПОЛНЕНИЯ ЗАПРОСА:</h1>
	<h1 class="lvl3"><xsl:value-of select="@msg"/></h1>
</xsl:template>

</xsl:stylesheet>
